OGRE: Ogre::TerrainGroup::TerrainSlotDefinition Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::TerrainGroup::TerrainSlotDefinition Struct Reference

Definition of how to populate a 'slot' in the terrain group. More...

`#include <OgreTerrainGroup.h>`

List of all members.

## Public Member Functions
| TerrainSlotDefinition ()
| ~TerrainSlotDefinition ()
void | useImportData ()
| Set to use import data.
void | useFilename ()
| Set to use file name.
void | freeImportData ()
| Destroy temp import resources.
## Public Attributes
String | filename
| Filename, if this is to be loaded from a file.
Terrain::ImportData * | importData
| Import data, if this is to be defined based on importing.

## Detailed Description

Definition of how to populate a 'slot' in the terrain group.

Definition at line 285 of file OgreTerrainGroup.h.

## Constructor & Destructor Documentation

Ogre::TerrainGroup::TerrainSlotDefinition::TerrainSlotDefinition | ( |  | ) |

Definition at line 292 of file OgreTerrainGroup.h.

Ogre::TerrainGroup::TerrainSlotDefinition::~TerrainSlotDefinition | ( |  | ) |

## Member Function Documentation

void Ogre::TerrainGroup::TerrainSlotDefinition::freeImportData | ( |  | ) |

Destroy temp import resources.

void Ogre::TerrainGroup::TerrainSlotDefinition::useFilename | ( |  | ) |

Set to use file name.

void Ogre::TerrainGroup::TerrainSlotDefinition::useImportData | ( |  | ) |

Set to use import data.

## Member Data Documentation

String Ogre::TerrainGroup::TerrainSlotDefinition::filename

Filename, if this is to be loaded from a file.

Definition at line 288 of file OgreTerrainGroup.h.

Terrain::ImportData* Ogre::TerrainGroup::TerrainSlotDefinition::importData

Import data, if this is to be defined based on importing.

Definition at line 290 of file OgreTerrainGroup.h.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04